Get a family and its current product members
curl --request GET \
--url http://127.0.0.1:5185/v1/product-families/{family_id}const options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/product-families/{family_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/product-families/{family_id}"
response = requests.get(url)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"brand": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"member_count": 2,
"category_ids": [
"<string>"
],
"price_range": {
"currency": "USD",
"minimum_amount_minor": 1,
"maximum_amount_minor": 1
},
"inventory_retrieved_at": "2023-11-07T05:31:56Z",
"observed_history": {
"tracking_started_at": "2023-11-07T05:31:56Z",
"earliest_observed_at": "2023-11-07T05:31:56Z",
"latest_observed_at": "2023-11-07T05:31:56Z",
"retained_change_count": 1,
"recent_change_count_30d": 1,
"last_price_change_at": "2023-11-07T05:31:56Z",
"last_inventory_change_at": "2023-11-07T05:31:56Z",
"observed_price": {
"currency": "USD",
"minimum_amount_minor": 1,
"maximum_amount_minor": 1
},
"member_count": 2,
"members_reporting_stock": 1,
"positive_store_product_pairs": 1,
"last_reported_positive_at": "2023-11-07T05:31:56Z",
"retention_days": 31,
"semantics": "current_family_members_published_observations_not_inferred_sales_or_continuous_history"
},
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_ids": {
"utah_dabs_sku": "347210"
},
"name": "<string>",
"brand": "<string>",
"relationship_type": "expression",
"vintage_year": 1999,
"age_statement": "<string>",
"package_size": {
"milliliters": 2,
"display": "<string>",
"normalization_state": "normalized"
},
"price": {
"amount_minor": 1,
"currency": "USD",
"display": "$19.99",
"source": "utah_dabs_workbook",
"times": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
}
},
"status": {
"code": "1",
"label": "General distribution",
"lifecycle": "active",
"source_raw": "<string>"
},
"inventory_retrieved_at": "2023-11-07T05:31:56Z",
"availability_summary": {
"scope_store_count": 1,
"reported_positive_store_count": 1,
"eligible_positive_store_count": 1,
"reported_zero_store_count": 1,
"row_absent_store_count": 1,
"unchecked_store_count": 1,
"retrieved_at_min": "2023-11-07T05:31:56Z",
"retrieved_at_max": "2023-11-07T05:31:56Z",
"retrieval_policy_id": "<string>",
"meets_retrieval_policy": true,
"upstream_age_known": false,
"last_refresh_attempt": {
"attempted_at": "2023-11-07T05:31:56Z",
"status": "succeeded"
}
}
}
]
},
"meta": {
"warnings": [
{
"code": "INVENTORY_COVERAGE_PARTIAL"
}
],
"freshness": {
"catalog": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"inventory": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at_min": "2023-11-07T05:31:56Z",
"retrieved_at_max": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"upstream_age_known": false
}
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Get a family and its current product members
Returns every current member with its own vintage, age statement, package, price, DABS lifecycle status, availability summary, and last successful inventory retrieval time.
Get a family and its current product members
curl --request GET \
--url http://127.0.0.1:5185/v1/product-families/{family_id}const options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/product-families/{family_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/product-families/{family_id}"
response = requests.get(url)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"brand": "<string>",
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"member_count": 2,
"category_ids": [
"<string>"
],
"price_range": {
"currency": "USD",
"minimum_amount_minor": 1,
"maximum_amount_minor": 1
},
"inventory_retrieved_at": "2023-11-07T05:31:56Z",
"observed_history": {
"tracking_started_at": "2023-11-07T05:31:56Z",
"earliest_observed_at": "2023-11-07T05:31:56Z",
"latest_observed_at": "2023-11-07T05:31:56Z",
"retained_change_count": 1,
"recent_change_count_30d": 1,
"last_price_change_at": "2023-11-07T05:31:56Z",
"last_inventory_change_at": "2023-11-07T05:31:56Z",
"observed_price": {
"currency": "USD",
"minimum_amount_minor": 1,
"maximum_amount_minor": 1
},
"member_count": 2,
"members_reporting_stock": 1,
"positive_store_product_pairs": 1,
"last_reported_positive_at": "2023-11-07T05:31:56Z",
"retention_days": 31,
"semantics": "current_family_members_published_observations_not_inferred_sales_or_continuous_history"
},
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_ids": {
"utah_dabs_sku": "347210"
},
"name": "<string>",
"brand": "<string>",
"relationship_type": "expression",
"vintage_year": 1999,
"age_statement": "<string>",
"package_size": {
"milliliters": 2,
"display": "<string>",
"normalization_state": "normalized"
},
"price": {
"amount_minor": 1,
"currency": "USD",
"display": "$19.99",
"source": "utah_dabs_workbook",
"times": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
}
},
"status": {
"code": "1",
"label": "General distribution",
"lifecycle": "active",
"source_raw": "<string>"
},
"inventory_retrieved_at": "2023-11-07T05:31:56Z",
"availability_summary": {
"scope_store_count": 1,
"reported_positive_store_count": 1,
"eligible_positive_store_count": 1,
"reported_zero_store_count": 1,
"row_absent_store_count": 1,
"unchecked_store_count": 1,
"retrieved_at_min": "2023-11-07T05:31:56Z",
"retrieved_at_max": "2023-11-07T05:31:56Z",
"retrieval_policy_id": "<string>",
"meets_retrieval_policy": true,
"upstream_age_known": false,
"last_refresh_attempt": {
"attempted_at": "2023-11-07T05:31:56Z",
"status": "succeeded"
}
}
}
]
},
"meta": {
"warnings": [
{
"code": "INVENTORY_COVERAGE_PARTIAL"
}
],
"freshness": {
"catalog": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z"
},
"inventory": {
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at_min": "2023-11-07T05:31:56Z",
"retrieved_at_max": "2023-11-07T05:31:56Z",
"published_at": "2023-11-07T05:31:56Z",
"upstream_age_known": false
}
}
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Headers
Strong entity tag from an earlier response.
HTTP-date fallback validator. ETag takes precedence.
Path Parameters
Stable API-owned product-family UUID.